package pfc.android.gestormensajeria.activities;

import pfc.android.gestormensajeria.R;
import pfc.android.gestormensajeria.dao.GestorMensajeriaDBHelper;
import android.app.Activity;
import android.content.Intent;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;

/**
 * Activity de la pantalla de la portada. Simplemente es una pantalla de bienvenida con información y como paso previo a entrar en la parte funcional de la aplicación.
 * @author Francisco José Lamela Rincón
 *
 */
public class PortadaActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_portada);

		//Asociamos el evento onclik para pasar a la siguiente pantalla
		final View contentView = findViewById(R.id.fullscreen_content_controls);
		contentView.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View view) {
				//Creamos el Intent
                Intent intent = new Intent(PortadaActivity.this, PrincipalActivity.class);
                //Iniciamos la nueva actividad
                startActivity(intent);
				
			}
		});
		
		//Creamos la base de datos de la aplicacion y si es la primera vez la rellenamos con los valores por defecto
		GestorMensajeriaDBHelper dbHelper = new GestorMensajeriaDBHelper(getBaseContext());	 
		@SuppressWarnings("unused")
		SQLiteDatabase db = dbHelper.getWritableDatabase();
	}
	
	
	@Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.portada_menu, menu);
        return true;
    }
	
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
        case R.id.action_acerca_de:
        	//Abrimos la pantalla que muestra la informacion sobre la aplicación
            Intent intent = new Intent(PortadaActivity.this, AcercaDeActivity.class);
            startActivity(intent);
            return true;
        default:
            return super.onOptionsItemSelected(item);
		}
	}
}
